Bug 124129 - Command prompt here popup action in projects and files view
Command prompt here popup action in projects and files view
Status: RESOLVED FIXED
Product: contrib
Classification: Unclassified
Component: Terminal
6.x
All All
: P4 (vote)
: 6.x
Assigned To: Andrei Badea
issues@contrib
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-17 15:18 UTC by ajasja
Modified: 2008-09-12 10:18 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ajasja 2007-12-17 15:18:17 UTC
I still like to type a lot of commands in a command prompt. But I spend ages navigating to the right directory.
It would be really really nice if I could just right click on an item in the project (and/or files) view and click on an
command prompt here action, which would open a new console window at the correct path.

(similar to something like this for Windows Explorer http://www.petri.co.il/images/cmd_here_5.gif)
Comment 1 ajasja 2007-12-19 13:30:51 UTC
I found a plugin (Run terminal http://plugins.netbeans.org/PluginPortal/faces/PluginDetailPage.jsp?pluginid=2876) that
has a context menu item under the Tools submenu in the files view.
There's also another plugin (Path tools
http://plugins.netbeans.org/PluginPortal/faces/PluginDetailPage.jsp?pluginid=676) that adds support for copying a path
to clipoard and "Explore path" and "Shell on path" actions, but unfortunately it does not have a context menu. 

I've been reading a bit about Netbeans plugins. A context menu item is probably easy to add with layer files
(http://wiki.netbeans.org/wiki/view/DevFaqModulesLayerFile), but I haven't tired this yet (as keyboard shortcuts work as
well a context menu is not really essential).

Maybe the Path tools plugin could be "baked" into the rubyide?
Comment 2 Martin Krauskopf 2008-02-13 15:32:09 UTC
Yup, I've also tried the plugin. Will take a look at it more when having time. Thanks for ideas.
Comment 3 Martin Krauskopf 2008-02-21 11:10:15 UTC
The same like with 124130. Might be planned general IDE features, passing to ide component.
Comment 4 Martin Krauskopf 2008-09-12 10:17:04 UTC
BTW, there is now plug-in from Andrei(CCing) - Run Terminal; which seems to do exactly what you want. I'm using it all
the time. Try to install it from update center and then just press Ctrl-Alt-Shift-Enter (or Menu | Tools | Run Terminal)
and it will popup a terminal taking into account the context where you are. (editor, project view, files view, ....).

You might configure terminal to be run in Menu | Tools | Options | Advanced Options, if you are not satisfied with the
autodetected one.

I guess this functionality will be provided through this extra plugin for now. So closing as fixed.

Feel free to reopen if this does not work for you.
Comment 5 Martin Krauskopf 2008-09-12 10:18:20 UTC
Ah, did not know that Andrei is already default owner (redundant CC).


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo